#ifndef __phonetic__
#define __phonetic__

#include <string>

class SC_Language;
 
class SC_Phonetic {
public:
  SC_Phonetic(const SC_Language * l) {}
  virtual SC_Phonetic * clone() const;
  virtual string soundslike_chars(const SC_Language * lang) const;
  virtual bool generic_soundslike() const;
  virtual string to_soundslike(const SC_Language * lang, const char * word) const;
  virtual bool have_phoneme() const;
  virtual string to_phoneme(const SC_Language * lang, const char * word) const;
};

const SC_Phonetic * SC_Phonetics (const char *, const SC_Language *lang);

#endif
